### Constructor

# GimpUi PaletteChooser new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_palette_chooser_new (
      const gchar* title,
      const gchar* label,
      GimpPalette* palette
    )

#### Description [src]

Creates a new `GtkWidget` that lets a user choose a palette. You can put this widget in a table in a plug-in dialog.

When palette is NULL, initial choice is from context.

Available since: 2.4

#### Parameters

`title`

  Type: `const gchar*`

  Title of the dialog to use or `NULL` to use the default title.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  Button label or `NULL` for no label.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`palette`

  Type: `GimpPalette`

  Initial palette.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A `GtkWidget` that you can use in your UI.

The data is owned by the called function.